import { DataApi } from '@dvn/core/api';
import { InvalidationAction } from '@dvn/core/models/actions';
import { CardListViewConfig } from '@dvn/core/models/card-list-view-config';
import { Filter } from '@dvn/core/models/filter';
import { ListFetchState } from '@dvn/core/models/list-fetch-state';
import { DvnAppView } from '@dvn/core/models/view-class';
export declare class DvnAppViewListViewCard implements DvnAppView {
  apiData: DataApi;
  view: CardListViewConfig;
  list: ListFetchState;
  quickFilter?: Filter;
  quickFilterText?: string;
  invalidate(_event: CustomEvent<InvalidationAction>): Promise<void>;
  fetchList(ignoreError?: boolean): void;
  componentWillLoad(): void;
  render(): any;
}
